API uç noktası
https://hrmn.live/api/v1/links
İstek örneği
curl --location --request GET 'https://hrmn.live/api/v1/links' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
title, Takma Ad için alias, URL için url. Varsayılan: title.
status
0, Etkin için 1, Süresi Doldu için 2, Devre Dışı için 3. Varsayılan: 0.
space_id
domain_id
pixel_id
sort_by
id, Tıklamalar için clicks, Başlık için title, Takma Ad için alias, URL için url. Varsayılan: id.
sort
desc, Artan için asc. Varsayılan: desc.
per_page
10, 25, 50, 100. Varsayılan: 10.
API uç noktası
https://hrmn.live/api/v1/links/{id}
İstek örneği
curl --location --request GET 'https://hrmn.live/api/v1/links/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API uç noktası
https://hrmn.live/api/v1/links
İstek örneği
curl --location --request POST 'https://hrmn.live/api/v1/links' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}' \ --data-urlencode 'domain={id}'
Parameters
url
domain_id
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0, Evet için 1. Varsayılan: 0.
privacy
0, Özel için 1, Parola için 2. Varsayılan: 0.
password
privacy alanı 2 olarak ayarlandığında çalışır.
active_period_start_at
Y-m-dTH:i:s formatında.
active_period_end_at
Y-m-dTH:i:s formatında.
clicks_limit
expiration_url
targets_type
continents, Countries için countries, Operating systems için operating_systems, Browsers için browsers, Languages için languages, Devices için devices, Rotations için rotations.
targets[index][key]
targets_type=country için değer ISO 3166-1 alpha-2 formatında olmalıdır.
targets_type=operating_systems için olası değerler: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
targets_type=browsers için olası değerler: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
targets_type=devices için olası değerler: Desktop, Mobile, Tablet, Watch, Television.
targets_type=languages için değer ISO 639-1 alpha-2 formatında olmalıdır.
targets_type=continents için olası değerler: Africa için AF, Antarctica için AN, Asia için AS, Europe için EU, North America için NA, Oceania için OC, South America için SA.
targets[index][value]
API uç noktası
https://hrmn.live/api/v1/links/{id}
İstek örneği
curl --location --request PUT 'https://hrmn.live/api/v1/links/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
url
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0, Evet için 1.
privacy
0, Özel için 1, Parola için 2.
password
privacy alanı 2 olarak ayarlandığında çalışır.
active_period_start_at
Y-m-dTH:i:s formatında.
active_period_end_at
Y-m-dTH:i:s formatında.
clicks_limit
expiration_url
targets_type
continents, Countries için countries, Operating systems için operating_systems, Browsers için browsers, Languages için languages, Devices için devices, Rotations için rotations.
targets[index][key]
targets_type=country için değer ISO 3166-1 alpha-2 formatında olmalıdır.
targets_type=operating_systems için olası değerler: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
targets_type=browsers için olası değerler: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
targets_type=devices için olası değerler: Desktop, Mobile, Tablet, Watch, Television.
targets_type=languages için değer ISO 639-1 alpha-2 formatında olmalıdır.
targets_type=continents için olası değerler: Africa için AF, Antarctica için AN, Asia için AS, Europe için EU, North America için NA, Oceania için OC, South America için SA.
targets[index][value]
API uç noktası
https://hrmn.live/api/v1/links/{id}
İstek örneği
curl --location --request DELETE 'https://hrmn.live/api/v1/links/{id}' \ --header 'Authorization: Bearer {api_key}'